import { View } from '@tarojs/components'
import { useMemo } from 'react'
import './style.less'


export default (props) => {

  const lineStyle = useMemo(() => {
    return {
      height: '1px',
      background: 'rgba(0,0,0,0.1)'
    }
  }, [])

  return (
    <View className='y-divider'>
      <View style={lineStyle}></View>
      <View>{props.children}</View>
      <View style={lineStyle}></View>
    </View>
  )
}
