import { useState } from "react"
import Taro from "@tarojs/taro"

import { login } from "../services/user"


export default () => {
  const [user, setUser] = useState()
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()
  const [userPhoneInfo, setUserPhoneInfo] = useState()
  const [deptName, setDeptName] = useState()
  const [formValue, setFormValue] = useState()

  const logins = (params) => {
    console.log('login');

    login(params).then((res) => {

      const { person: taPerson, sessionKey: skey, user: taUser } = res;
      // taPerson.phone = null

      setPerson(taPerson);
      setUser(taUser);
      setSessionKey(skey);
    })
  }
  console.log("🚀 来自store的打印 person数据formValue", person, formValue)

  return {
    user,
    setUser,

    person,
    setPerson,

    sessionKey,
    setSessionKey,

    userPhoneInfo,
    setUserPhoneInfo,

    deptName,
    setDeptName,

    formValue,
    setFormValue,


    logins,
  }
}