import { useEffect, useMemo, useState } from 'react'
import Taro from '@tarojs/taro'
import { View } from '@tarojs/components'
import Divider from '@/components/Divider'
import dayjs from 'dayjs'
import './style.less'

export default (props) => {
  const today = useMemo(() => dayjs().format('YYYY-MM-DD'), [])

  return (
    <View className='index-footer'>
      <View>
        <View className='footer-time'>{today}</View>
        {/* <View className='footer-copyright'>
          <Divider>
            南京云致提供技术支持
          </Divider>
        </View> */}
      </View>
    </View>
  )
}
